- Home
- API Enriched
- Blindfold
- secret_management
- VoltShare Access Count Query.
VoltShare Access Count Query.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/secret_management/namespaces/example/voltshare/access_count';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"end_time":"example","group_by":["OPERATION"],"label_filter":[{"label":"OPERATION","op":"EQ","value":"example"}],"namespace":"example","start_time":"example","step":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/secret_management/namespaces/example/voltshare/access_count \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "end_time": "example", "group_by": [ "OPERATION" ], "label_filter": [ { "label": "OPERATION", "op": "EQ", "value": "example" } ], "namespace": "example", "start_time": "example", "step": "example" }'Request to GET number of VoltShare API calls aggregated across multiple dimensions like OPERATION, COUNTRY, RESULT, USER_TENANT.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace namespace is used to scope the security events for the given namespace.
Request Bodyrequired
Section titled “Request Bodyrequired”Request to GET number of VoltShare API calls aggregated across multiple dimensions like OPERATION, COUNTRY, RESULT, USER_TENANT.
object
End time of metric collection from which data will be considered. Format: unix_timestamp|RFC 3339
Optional: If not specified, then the end_time will be evaluated to start_time+10m
If start_time is not specified, then the end_time will be evaluated to
Aggregate data by one or more labels listed here. OPERATION, RESULT, USER_TENANT, COUNTRY.
Optional: If not specified, then the metric is aggregated across all the labels.
List of label filter expressions of the form “label” Op “value”. Response will only contain data that matches all the conditions specified in the label_filter. One or more of the following labels can be specified in the label_filter. OPERATION, RESULT, USER_TENANT, COUNTRY.
Optional: If not specified, then the metrics will be filtered only based on the namespace in the request.
VoltShare Access metric is tagged with labels mentioned in MetricLabel. Metric label filter can be specified to query/aggregate specific timeseries based on label match.
object
Value to be compared with.
Namespace is used to scope the security events for the given namespace.
Start time of metric collection from which data will be considered. Format: unix_timestamp|RFC 3339
Optional: If not specified, then the start_time will be evaluated to end_time-10m
If end_time is not specified, then the start_time will be evaluated to
Step is the resolution width, which determines the number of the data points [x-axis (time)] to be returned in the response. The timestamps in the response will be t1=start_time, t2=t1+step, … Tn=tn-1+step, where tn <= end_time. Format: [0-9][smhd], where s - seconds, m - minutes, h - hours, d - days
Optional: If not specified, then step size is evaluated to <end_time - start_time>
Responses
Section titled “Responses”A successful response.
VoltShare access count for each unique combination of group_by labels in the VoltShareAccessCountRequest.
object
List of VoltShare Access count data for each unique combination of group_by labels.
VoltShareAccessCounter contains the access count for each unique combination of group_by label in the request.
object
object
Country from where the API call was made.
Encrypt/Decrypt operation.
Result of the VoltShare operation.
Tenant that made the VoltShare API call.
List of metric values.
Value returned for a VoltShare Access Metrics query.
object
Timestamp
Number of accesses.
Actual step size used in the response. It could be higher than the requested step due to metric rollups and the query duration. Format: [0-9][smhd], where s - seconds, m - minutes, h - hours, d - days.
Examplegenerated
{ "data": [ { "id": { "country": "example", "operation": "example", "result": "example", "user_tenant": "example" }, "metric": [ { "timestamp": 1, "value": "example" } ] } ], "step": "example"}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example